## meshtasticd 2.6.11.25~obs60ec05e~beta

=== libdeps/native-tft/Adafruit BusIO/CMakeLists.txt ===
# Adafruit Bus IO Library
# https://github.com/adafruit/Adafruit_BusIO
# MIT License

cmake_minimum_required(VERSION 3.5)

idf_component_register(SRCS "Adafruit_I2CDevice.cpp" "Adafruit_BusIO_Register.cpp" "Adafruit_SPIDevice.cpp" "Adafruit_GenericDevice.cpp"
                       INCLUDE_DIRS "."
                       REQUIRES arduino-esp32)

project(Adafruit_BusIO)

=== libdeps/native-tft/LovyanGFX/CMakeLists.txt ===
set (LGFX_ROOT ${CMAKE_CURRENT_LIST_DIR})

# Espressif ESP* based boards
if (DEFINED ESP_PLATFORM)
include(${LGFX_ROOT}/boards.cmake/esp-idf.cmake)

# Raspberry Pi RP* based boards
elseif ((DEFINED PICO_PLATFORM) OR (DEFINED PICO_BOARD))
include(${LGFX_ROOT}/boards.cmake/pico-sdk.cmake)

# Cannot determine boards type
else()
message("Error: No platform specified")
endif()

=== libdeps/native-tft/Pine libch341-spi Userspace library/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.29)
project(pinedio-usb C)

set(CMAKE_C_STANDARD 11)

add_library(pinedio-usb STATIC libpinedio-usb.c)
find_package(PkgConfig REQUIRED)
pkg_check_modules(LIBUSB REQUIRED libusb-1.0)
target_link_libraries(pinedio-usb ${LIBUSB_LIBRARIES})
target_compile_options(pinedio-usb PRIVATE ${LIBUSB_CFLAGS_OTHER})
target_include_directories(pinedio-usb PRIVATE ${LIBUSB_INCLUDE_DIRS})

add_executable(pinedio-test test.c)
target_link_libraries(pinedio-test PRIVATE pinedio-usb)

=== libdeps/native-tft/RadioLib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

if(ESP_PLATFORM)
  # Build RadioLib as an ESP-IDF component
  # required because ESP-IDF runs cmake in script mode
  # and needs idf_component_register()
  file(GLOB_RECURSE RADIOLIB_ESP_SOURCES
    "src/*.*"
  )

  idf_component_register(
    SRCS ${RADIOLIB_ESP_SOURCES} 
    INCLUDE_DIRS . src 
  )

  return()
endif()

if(CMAKE_SCRIPT_MODE_FILE)
  message(FATAL_ERROR "Attempted to build RadioLib in script mode")
endif()

project(radiolib)

file(GLOB_RECURSE RADIOLIB_SOURCES
  "src/*.cpp"
)

add_library(RadioLib ${RADIOLIB_SOURCES})

target_include_directories(RadioLib
    PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>
           $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)

# use c++20 standard
set_property(TARGET RadioLib PROPERTY CXX_STANDARD 20)

# enable most warnings
target_compile_options(RadioLib PRIVATE -Wall -Wextra)

include(GNUInstallDirs)

install(TARGETS RadioLib
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/src/
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/RadioLib
  FILES_MATCHING PATTERN "*.h"
)

=== libdeps/native-tft/lvgl/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12.4)

set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)

if(NOT ESP_PLATFORM)
  project(lvgl LANGUAGES C HOMEPAGE_URL https://github.com/lvgl/lvgl)
  if(NOT (CMAKE_C_COMPILER_ID STREQUAL "MSVC"))
    enable_language(CXX ASM)
  else()
    enable_language(CXX)
  endif()
endif()

set(LVGL_ROOT_DIR ${CMAKE_CURRENT_LIST_DIR})

if(ESP_PLATFORM)
  include(${CMAKE_CURRENT_LIST_DIR}/env_support/cmake/esp.cmake)
elseif(ZEPHYR_BASE)
  include(${CMAKE_CURRENT_LIST_DIR}/env_support/cmake/zephyr.cmake)
elseif(MICROPY_DIR)
  include(${CMAKE_CURRENT_LIST_DIR}/env_support/cmake/micropython.cmake)
else()
  include(${CMAKE_CURRENT_LIST_DIR}/env_support/cmake/custom.cmake)
endif()

#[[
    unfortunately CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS does not work for global data. 
    for global data we still need decl specs.
    Check out the docs to learn more about the limitations of CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS
    https://cmake.org/cmake/help/latest/prop_tgt/WINDOWS_EXPORT_ALL_SYMBOLS.html#prop_tgt:WINDOWS_EXPORT_ALL_SYMBOLS

    For all compiled sources within the library (i.e. basically all lvgl files) we need to use dllexport.
    For all compiled sources from outside the library (i.e. files which include lvgl headers) we need to use dllimport.
    We can do this by using CMakes INTERFACE and PRIVATE keyword.
  ]]
if (MSVC)
  target_compile_definitions(lvgl
    INTERFACE LV_ATTRIBUTE_EXTERN_DATA=__declspec\(dllimport\)
    PRIVATE LV_ATTRIBUTE_EXTERN_DATA=__declspec\(dllexport\)
  )
endif()

=== libdeps/native-tft/meshtastic-device-ui/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)

################################################################################
##                             D E V I C E   U I                               #
################################################################################
file(READ ${CMAKE_CURRENT_SOURCE_DIR}/version.txt ver)
project(device_ui VERSION ${ver} HOMEPAGE_URL https://github.com/meshtastic/device-ui LANGUAGES C CXX)

message(STATUS "device-ui version: ${PROJECT_VERSION}")

set(MAIN_PROJECT OFF)
if(CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
    set(MAIN_PROJECT ON)
endif()

option(ENABLE_DOCTESTS "Include tests in the library. Setting this to OFF will remove all doctest related code.
                        Tests in tests/*.cpp will still be enabled." ${MAIN_PROJECT})
option(ENABLE_DEBUG_LOG "Enable debug log" OFF)

set_property(GLOBAL PROPERTY USE_FOLDERS ON)
set(CMAKE_FIND_PACKAGE_TARGETS_GLOBAL ON) # with newer cmake versions put all find_package in global scope
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_SOURCE_DIR}/bin")
set(GENERATED_VIEW ${VIEW} "ui_320x240")

message(STATUS "Using C++${CMAKE_CXX_STANDARD}")
message(STATUS "Using Generated View: " ${GENERATED_VIEW})

add_compile_definitions(ARCH_PORTDUINO)
add_compile_definitions(ARDUINO)
add_compile_definitions(VIEW_320x240)
add_compile_definitions(USE_X11=1)

include(FetchContent)
include(Portduino)
include(LovyanGFX)
include(LVGL)
include(protobuf)
include(nanopb)
include(Doctest)

file(GLOB_RECURSE sources      source/* generated/* portduino/* locale/* generated/${GENERATED_VIEW}/*)
file(GLOB_RECURSE sources_test tests/*.cpp)

add_library(DeviceUI ${sources})
target_link_libraries(DeviceUI PRIVATE lvgl::lvgl LovyanGFX Portduino Protobufs)
target_compile_options(DeviceUI PUBLIC -Wall -Wno-format -Wfloat-conversion)

target_include_directories(DeviceUI PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
target_include_directories(DeviceUI PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/src)
target_include_directories(DeviceUI PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/locale)
target_include_directories(DeviceUI PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/portduino)
target_include_directories(DeviceUI PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/generated/${GENERATED_VIEW})
target_include_directories(DeviceUI PRIVATE ${GENERATED_FILES_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${nanopb_SOURCE_DIR})

if(ENABLE_DOCTESTS)
    target_include_directories(DeviceUI PRIVATE ${doctest_SOURCE_DIR})
    target_compile_definitions(DeviceUI PRIVATE UNIT_TEST)
    if(ENABLE_DEBUG_LOG)
        target_compile_definitions(DeviceUI PRIVATE DEBUG_UNIT_TEST)
    endif()
endif()

#
# Unit Tests
#
if(ENABLE_DOCTESTS)
    include(CTest)
    enable_testing()
    add_executable(tests ${sources_test})
    target_link_libraries(tests PRIVATE DeviceUI doctest::doctest lvgl::lvgl LovyanGFX Portduino Protobufs)
    target_include_directories(tests PRIVATE 
        ${CMAKE_CURRENT_SOURCE_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}/src
        ${CMAKE_CURRENT_SOURCE_DIR}/locale
        ${CMAKE_CURRENT_SOURCE_DIR}/portduino
        ${CMAKE_CURRENT_SOURCE_DIR}/generated/${GENERATED_VIEW}
    )
    set_target_properties(tests PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
    add_test(NAME tests COMMAND tests)
endif()

=== libdeps/native-tft/lvgl/docs/requirements.txt ===
Sphinx
breathe
imagesize
importlib-metadata
sphinx-rtd-theme
sphinx-sitemap
sphinxcontrib-applehelp
sphinxcontrib-devhelp
sphinxcontrib-htmlhelp
sphinxcontrib-jsmath
sphinxcontrib-qthelp
sphinxcontrib-serializinghtml
sphinxcontrib-mermaid==0.9.2
sphinx-design
sphinx-rtd-dark-mode
typing-extensions
sphinx-reredirects
dirsync

=== libdeps/native-tft/lvgl/tests/CMakeLists.txt ===
if(ESP_PLATFORM)

###################################
# Tests do not build for ESP-IDF. #
###################################

else()

cmake_minimum_required(VERSION 3.16)

if(WIN32)
    set(VCPKG_TARGET_TRIPLET "x64-windows")
    include($ENV{VCPKG_INSTALLATION_ROOT}/scripts/buildsystems/vcpkg.cmake)
endif()

project(lvgl_tests LANGUAGES C CXX)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_C_STANDARD 99)

set(FLAG_CHECK_WHITELIST --coverage -fsanitize=address -Werror)

include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)
function(filter_compiler_options lang options_out)
    set(options ${ARGN})
    foreach(option ${options})
        if (option IN_LIST FLAG_CHECK_WHITELIST)
            list(APPEND ${options_out} ${option})
            continue()
        endif ()

        string(TOUPPER FLAG_SUPPORTED_FOR_${lang}_${option} option_var_name)
        string(REPLACE "-" "_" option_var_name ${option_var_name})
        string(REPLACE "+" "_" option_var_name ${option_var_name})

        if (${lang} STREQUAL C)
            check_c_compiler_flag(${option} ${option_var_name})
        elseif (${lang} STREQUAL CXX)
            check_cxx_compiler_flag(${option} ${option_var_name})
        else()
            message(FATAL_ERROR "Unknown language ${lang}")
        endif ()
        if(${option_var_name})
            list(APPEND ${options_out} ${option})
        endif()
    endforeach()
    set(${options_out} ${${options_out}} PARENT_SCOPE)
endfunction()

find_program(VALGRIND_EXECUTABLE valgrind)
if (VALGRIND_EXECUTABLE)
    set(MEMORYCHECK_COMMAND ${VALGRIND_EXECUTABLE})
    set(MEMORYCHECK_COMMAND_OPTIONS --error-exitcode=1)
endif()

include(CTest)

set(LVGL_TEST_DIR ${CMAKE_CURRENT_SOURCE_DIR})

set(SANITIZE_AND_COVERAGE_OPTIONS
    -fsanitize=address
    -fsanitize=leak
    -fsanitize=undefined
    --coverage
)

set(LVGL_TEST_OPTIONS_VG_LITE
    -DLV_TEST_OPTION=6
    -Wno-dangling-pointer # workaround for thorvg dangling-pointer warning
)

set(LVGL_TEST_OPTIONS_SDL
    -DLV_TEST_OPTION=7
)

set(LVGL_TEST_OPTIONS_MINIMAL_MONOCHROME
    -DLV_TEST_OPTION=1
)

set(LVGL_TEST_OPTIONS_NORMAL_8BIT
    -DLV_TEST_OPTION=2
)

set(LVGL_TEST_OPTIONS_16BIT
    -DLV_TEST_OPTION=3
)

set(LVGL_TEST_OPTIONS_FULL_24BIT
    -DLV_TEST_OPTION=4
)

set(LVGL_TEST_OPTIONS_FULL_32BIT
    -DLV_TEST_OPTION=5
)

set(LVGL_TEST_OPTIONS_TEST_SYSHEAP
    -DLV_TEST_OPTION=5
    -DLVGL_CI_USING_SYS_HEAP
    -Wno-unused-but-set-variable # unused variables are common in the dual-heap arrangement
    ${SANITIZE_AND_COVERAGE_OPTIONS}
)

set(LVGL_TEST_OPTIONS_TEST_DEFHEAP
    -DLV_TEST_OPTION=5
    -DLV_USE_OBJ_PROPERTY=1      # add obj property test and disable pedantic
    -DLV_USE_OBJ_PROPERTY_NAME=1
    -DLVGL_CI_USING_DEF_HEAP
    ${SANITIZE_AND_COVERAGE_OPTIONS}
)

if (OPTIONS_VG_LITE)
    set (BUILD_OPTIONS ${LVGL_TEST_OPTIONS_VG_LITE})
elseif (OPTIONS_SDL)
    set (BUILD_OPTIONS ${LVGL_TEST_OPTIONS_SDL})
elseif (OPTIONS_NORMAL_8BIT)
    set (BUILD_OPTIONS ${LVGL_TEST_OPTIONS_NORMAL_8BIT})
elseif (OPTIONS_16BIT)
    set (BUILD_OPTIONS ${LVGL_TEST_OPTIONS_16BIT})
elseif (OPTIONS_24BIT)
    set (BUILD_OPTIONS ${LVGL_TEST_OPTIONS_24BIT})
elseif (OPTIONS_FULL_32BIT)
    set (BUILD_OPTIONS ${LVGL_TEST_OPTIONS_FULL_32BIT})
elseif (OPTIONS_TEST_SYSHEAP)
    set (BUILD_OPTIONS ${LVGL_TEST_OPTIONS_TEST_SYSHEAP})
    filter_compiler_options (C TEST_LIBS ${SANITIZE_AND_COVERAGE_OPTIONS})
    set (LV_CONF_BUILD_DISABLE_EXAMPLES ON)
    set (ENABLE_TESTS ON)
    add_definitions(-DREF_IMGS_PATH="ref_imgs/")
elseif (OPTIONS_TEST_DEFHEAP)
    set (BUILD_OPTIONS ${LVGL_TEST_OPTIONS_TEST_DEFHEAP})
    filter_compiler_options (C TEST_LIBS ${SANITIZE_AND_COVERAGE_OPTIONS})
    set (LV_CONF_BUILD_DISABLE_EXAMPLES ON)
    set (ENABLE_TESTS ON)
    add_definitions(-DREF_IMGS_PATH="ref_imgs/")
elseif (OPTIONS_TEST_MEMORYCHECK)
    # sanitizer is disabled because valgrind uses LD_PRELOAD and the
    # sanitizer lib needs to load first
    set (BUILD_OPTIONS ${LVGL_TEST_OPTIONS_TEST_SYSHEAP})
    set (LV_CONF_BUILD_DISABLE_EXAMPLES ON)
    set (ENABLE_TESTS ON)
    add_definitions(-DREF_IMGS_PATH="ref_imgs/")
elseif (OPTIONS_TEST_VG_LITE)
    set (BUILD_OPTIONS ${LVGL_TEST_OPTIONS_VG_LITE} -DLVGL_CI_USING_SYS_HEAP ${SANITIZE_AND_COVERAGE_OPTIONS})
    filter_compiler_options (C TEST_LIBS ${SANITIZE_AND_COVERAGE_OPTIONS})
    set (LV_CONF_BUILD_DISABLE_EXAMPLES ON)
    set (ENABLE_TESTS ON)
    add_definitions(-DREF_IMGS_PATH="ref_imgs_vg_lite/")

    # In 32-bit systems, the output of ThorVG's anti-aliasing algorithm has a slight deviation.
    if ($ENV{NON_AMD64_BUILD})
        # Set a tolerance value for the VG-Lite tests.
        add_definitions(-DREF_IMG_TOLERANCE=9)
    endif()
else()
    message(FATAL_ERROR "Must provide a known options value (check main.py?).")
endif()

if ($ENV{NON_AMD64_BUILD})
    set(BUILD_TARGET_DEF -DNON_AMD64_BUILD)
    message("Non AMD64 target is specified")

    # Ensure 32-bit build
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -m32")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -m32")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -m32")
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -m32")
endif()

if ($ENV{NON_AMD64_BUILD})
    set(CMAKE_LIBRARY_PATH "/usr/lib/i386-linux-gnu" CACHE PATH "search 32bit lib path firstly")
endif()

# Options lvgl and examples are compiled with.
set(COMPILE_OPTIONS
    -DLV_CONF_PATH="${LVGL_TEST_DIR}/src/lv_test_conf.h"
    -DLV_BUILD_TEST
    ${BUILD_OPTIONS}
    ${BUILD_TARGET_DEF}
)

if(NOT (CMAKE_C_COMPILER_ID STREQUAL "MSVC"))
    list(APPEND COMPILE_OPTIONS
        -pedantic-errors
        -Wall
        -Wformat-security
        -Wclobbered
        -Wdeprecated
        -Wdouble-promotion
        -Wempty-body
        -Werror
        -Wextra
        -Wformat-security
        -Wmaybe-uninitialized
        -Wmissing-prototypes
        -Wpointer-arith
        -Wmultichar
        -Wpedantic
        -Wreturn-type
        -Wshadow
        -Wshift-negative-value
        -Wsizeof-pointer-memaccess
        #-Wstack-usage=6000
        -Wtype-limits
        -Wundef
        -Wuninitialized
        -Wunreachable-code
        -Werror=float-conversion
        -Werror=strict-aliasing
        -Wno-double-promotion
        -Wno-unreachable-code
        -Wno-gnu-zero-variadic-macro-arguments
        -Wunused-function
	-Wno-overlength-strings
    )
else()
    list(APPEND COMPILE_OPTIONS
        /W3         # enable all "production quality" warnings
        /we4013     # treat function undefined as error
    )
endif()

list(APPEND COMPILE_OPTIONS
    ${BUILD_OPTIONS}
    ${BUILD_TARGET_DEF}
)

# LV_USE_OBJ_PROPERTY is enabled in option OPTIONS_TEST_DEFHEAP
# It relies on C11 anonymous struct/union support, thus disable warnings.
if(OPTIONS_TEST_DEFHEAP)
    list(REMOVE_ITEM COMPILE_OPTIONS -pedantic-errors -Wpedantic)
endif()

filter_compiler_options(C LVGL_C_COMPILE_OPTIONS ${COMPILE_OPTIONS})

if(NOT (CMAKE_C_COMPILER_ID STREQUAL "MSVC"))
    # Options test cases are compiled with.
    filter_compiler_options(C LVGL_TESTFILE_COMPILE_OPTIONS ${LVGL_C_COMPILE_OPTIONS} -Wno-missing-prototypes)

    filter_compiler_options(CXX LVGL_CXX_COMPILE_OPTIONS
        ${COMPILE_OPTIONS}
        -Wno-shadow
        -Wno-unused-parameter
        -Wno-c++11-extensions
        -Wno-missing-prototypes
        -Wno-deprecated-copy-with-user-provided-dtor
        -Wno-float-conversion
        -Wno-pedantic
    )
else()
    # Options test cases are compiled with.
    filter_compiler_options(C LVGL_TESTFILE_COMPILE_OPTIONS ${LVGL_C_COMPILE_OPTIONS})

    filter_compiler_options(CXX LVGL_CXX_COMPILE_OPTIONS
        ${COMPILE_OPTIONS}
    )
endif()

get_filename_component(LVGL_DIR ${LVGL_TEST_DIR} DIRECTORY)

# Include lvgl project file.
include(${LVGL_DIR}/CMakeLists.txt)
target_compile_options(lvgl PUBLIC $<$<COMPILE_LANGUAGE:C>: ${LVGL_C_COMPILE_OPTIONS}>)
if(NOT (CMAKE_C_COMPILER_ID STREQUAL "MSVC"))
    target_compile_options(lvgl PUBLIC $<$<COMPILE_LANGUAGE:ASM>: ${LVGL_C_COMPILE_OPTIONS}>)
endif()
target_compile_options(lvgl PUBLIC $<$<COMPILE_LANGUAGE:CXX>: ${LVGL_CXX_COMPILE_OPTIONS}>)
if (TARGET lvgl_examples)
  target_compile_options(lvgl_examples PUBLIC ${LVGL_C_COMPILE_OPTIONS})
endif()


set(TEST_INCLUDE_DIRS
    $<BUILD_INTERFACE:${LVGL_TEST_DIR}/src>
    $<BUILD_INTERFACE:${LVGL_TEST_DIR}/unity>
    $<BUILD_INTERFACE:${LVGL_TEST_DIR}>
)

file(GLOB_RECURSE TEST_IMAGES_SRC ${LVGL_TEST_DIR}/test_images/*.c)

add_library(test_common
    STATIC
        src/lv_test_init.c
        src/test_assets/test_animimg001.c
        src/test_assets/test_animimg002.c
        src/test_assets/test_animimg003.c
        src/test_assets/test_img_cogwheel_i4.c
        src/test_assets/test_img_cogwheel_a8.c
        src/test_assets/test_img_cogwheel_rgb565.c
        src/test_assets/test_img_cogwheel_rgb565a8.c
        src/test_assets/test_img_cogwheel_xrgb8888.c
        src/test_assets/test_img_cogwheel_argb8888.c
        src/test_assets/test_img_svg.c
        src/test_assets/test_font_1.c
        src/test_assets/test_font_2.c
        src/test_assets/test_font_3.c
        src/test_assets/test_font_montserrat_ascii_1bpp.c
        src/test_assets/test_font_montserrat_ascii_2bpp.c
        src/test_assets/test_font_montserrat_ascii_4bpp.c
        src/test_assets/test_font_montserrat_ascii_8bpp.c
        src/test_assets/test_font_montserrat_ascii_3bpp_compressed.c
        src/test_assets/test_font_1_bin.c
        src/test_assets/test_font_2_bin.c
        src/test_assets/test_font_3_bin.c
        src/test_assets/test_img_caret_down.c
        src/test_assets/test_arc_bg.c
        src/test_assets/test_img_lvgl_logo_png.c
        src/test_assets/test_img_lvgl_logo_jpg.c
        src/test_assets/test_img_emoji_F617.c
        src/test_assets/test_ubuntu_font.c
        src/test_assets/test_kern_one_otf.c
        src/test_assets/test_imagebutton_left.c
        src/test_assets/test_imagebutton_mid.c
        src/test_assets/test_imagebutton_right.c
        src/test_assets/test_music_button_play.c
        src/test_assets/test_lottie_approve.c
        unity/unity.c
        ${TEST_IMAGES_SRC}
)
target_include_directories(test_common PUBLIC ${TEST_INCLUDE_DIRS})
target_compile_options(test_common PUBLIC ${LVGL_TESTFILE_COMPILE_OPTIONS})

# Generate one test executable for each source file pair.
# The sources in ${CMAKE_CURRENT_BINARY_DIR} is auto-generated, the
# sources in src/test_cases is the actual test case.
find_package(Ruby REQUIRED)
set(generate_test_runner_rb
    ${CMAKE_CURRENT_SOURCE_DIR}/unity/generate_test_runner.rb)
set(generate_test_runner_config ${CMAKE_CURRENT_SOURCE_DIR}/config.yml)

if(NOT WIN32)
    # libjpeg is required for the jpeg test case
    find_package(JPEG REQUIRED)
    include_directories(${JPEG_INCLUDE_DIR})

    # Wayland
    find_package(PkgConfig)
    pkg_check_modules(wayland_client wayland-client)

    if (wayland_client_FOUND)
        pkg_check_modules(wayland-cursor REQUIRED wayland-cursor)
        pkg_check_modules(xkbcommon REQUIRED xkbcommon)

        link_libraries(wayland-client wayland-cursor xkbcommon)

        # Add auto generated source required for XDG shell
        include_directories("${LVGL_TEST_DIR}/wayland_protocols")
        target_sources(test_common PUBLIC "wayland_protocols/wayland_xdg_shell.c")
    else()
        add_definitions(-DLV_USE_WAYLAND=0)
    endif()
endif()

# libpng is required for the png test case
find_package(PNG REQUIRED)
include_directories(${PNG_INCLUDE_DIR})

# libfreetype is required for the font test case
find_package(Freetype REQUIRED)
include_directories(${FREETYPE_INCLUDE_DIRS})

if(OPTIONS_SDL)
    find_package(SDL2 REQUIRED)
    include_directories(${SDL2_INCLUDE_DIRS})
endif()

# libinput is required for the libinput device driver test case
find_package(Libinput OPTIONAL_COMPONENTS)
if ($ENV{NON_AMD64_BUILD})
    include_directories(${LIBINPUT_INCLUDE_DIRS})
endif()

# OpenGL ES is required for its driver
if ($ENV{NON_AMD64_BUILD})

=== libdeps/native-tft/LovyanGFX/examples_for_PC/CMake_FrameBuffer/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.8)
project(LGFX_LINUX_FB)

add_definitions(-DLGFX_LINUX_FB)

file(GLOB Target_Files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} CONFIGURE_DEPENDS 
    *.cpp
    LovyanGFX/src/lgfx/Fonts/efont/*.c
    LovyanGFX/src/lgfx/Fonts/IPA/*.c
    LovyanGFX/src/lgfx/utility/*.c
    LovyanGFX/src/lgfx/v1/*.cpp
    LovyanGFX/src/lgfx/v1/misc/*.cpp
    LovyanGFX/src/lgfx/v1/panel/Panel_Device.cpp
    LovyanGFX/src/lgfx/v1/platforms/framebuffer/*.cpp
    )

add_executable (LGFX_LINUX_FB ${Target_Files})
target_include_directories(LGFX_LINUX_FB PUBLIC "LovyanGFX/src/")
target_compile_features(LGFX_LINUX_FB PUBLIC cxx_std_17)
target_link_libraries(LGFX_LINUX_FB -lpthread)

=== libdeps/native-tft/lvgl/scripts/gen_json/requirements.txt ===
pycparser>=2.22
pyMSVC>=0.5.3; platform_system == "Windows"
Sphinx
breathe
imagesize
importlib-metadata
sphinx-rtd-theme
sphinx-sitemap
sphinxcontrib-applehelp
sphinxcontrib-devhelp
sphinxcontrib-htmlhelp
sphinxcontrib-jsmath
sphinxcontrib-qthelp
sphinxcontrib-serializinghtml
sphinx-rtd-dark-mode
typing-extensions

=== libdeps/native-tft/LovyanGFX/examples/Test/build_test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)
list(APPEND EXTRA_COMPONENT_DIRS "$(PROJECT_PATH)/../../../../../LovyanGFX")
include($ENV{IDF_PATH}/tools/cmake/project.cmake)
project(LovyanGFX-build-test)

=== libdeps/native-tft/RadioLib/examples/NonArduino/Pico/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18)

# Pull in SDK (must be before project)
include(pico_sdk_import.cmake)

project(pico-sx1276 C CXX ASM)
set(CMAKE_C_STANDARD 11)
set(CMAKE_CXX_STANDARD 17)

# Initialize the SDK
pico_sdk_init()

add_compile_options(
    -Wall
    -Wno-format          
    -Wno-unused-function
)

add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/../../../../RadioLib" "${CMAKE_CURRENT_BINARY_DIR}/RadioLib")

add_executable(${PROJECT_NAME}
    main.cpp
)

# Pull in common dependencies
target_link_libraries(${PROJECT_NAME} pico_stdlib hardware_spi hardware_gpio hardware_timer pico_multicore hardware_pwm RadioLib)


pico_enable_stdio_usb(${PROJECT_NAME} 1)
pico_enable_stdio_uart(${PROJECT_NAME} 0)

# Create map/bin/hex file etc.
pico_add_extra_outputs(${PROJECT_NAME})

=== debian/changelog ===
meshtasticd (2.6.11.25~obs60ec05e~beta) beta; urgency=medium

  * GitHub Actions Automatic packaging for 2.6.11.25~obs60ec05e~beta

 --  <jbennett@incomsystems.biz>  Wed, 18 Jun 2025 11:48:01 +0000

## meshtasticd 2.7.10.19259~local94d4bdf~UNRELEASED

=== packages/framework-portduino/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.17)
project(Portduino)

set(CMAKE_CXX_STANDARD 14)

include_directories(cores/arduino/api)
include_directories(cores/portduino)
include_directories(cores/portduino/FS)

add_executable(Portduino
        cores/arduino/api/deprecated/Client.h
        cores/arduino/api/deprecated/HardwareSerial.h
        cores/arduino/api/deprecated/IPAddress.h
        cores/arduino/api/deprecated/Print.h
        cores/arduino/api/deprecated/Printable.h
        cores/arduino/api/deprecated/Server.h
        cores/arduino/api/deprecated/Stream.h
        cores/arduino/api/deprecated/Udp.h
        cores/arduino/api/deprecated/WString.h
        cores/arduino/api/deprecated-avr-comp/avr/dtostrf.h
        cores/arduino/api/deprecated-avr-comp/avr/interrupt.h
        cores/arduino/api/deprecated-avr-comp/avr/pgmspace.h
        cores/arduino/api/ArduinoAPI.h
        cores/arduino/api/Binary.h
        cores/arduino/api/Client.h
        cores/arduino/api/Common.cpp
        cores/arduino/api/Common.h
        cores/arduino/api/Compat.h
        cores/arduino/api/HardwareI2C.h
        cores/arduino/api/HardwareSerial.h
        cores/arduino/api/HardwareSPI.h
        cores/arduino/api/Interrupts.h
        cores/arduino/api/IPAddress.cpp
        cores/arduino/api/IPAddress.h
        cores/arduino/api/itoa.h
        # cores/arduino/api/PluggableUSB.cpp
        # cores/arduino/api/PluggableUSB.h
        cores/arduino/api/Print.cpp
        cores/arduino/api/Print.h
        cores/arduino/api/Printable.h
        cores/arduino/api/RingBuffer.h
        cores/arduino/api/Server.h
        cores/arduino/api/Stream.cpp
        cores/arduino/api/Stream.h
        cores/arduino/api/String.cpp
        cores/arduino/api/String.h
        cores/arduino/api/Udp.h
        cores/arduino/api/USBAPI.h
        cores/arduino/api/WCharacter.h
        cores/portduino/Arduino.h
        cores/portduino/itoa.cpp
        cores/portduino/dtostrf.c
        cores/portduino/main.cpp
        cores/portduino/linux/millis.cpp
        cores/portduino/simulated/SimCommon.cpp
        cores/portduino/Utility.cpp
        cores/portduino/Utility.h
        cores/portduino/simulated/SimHardwareSPI.cpp
        example/test.cpp
       	cores/portduino/simulated/SimHardwareI2C.cpp
       	cores/portduino/simulated/SimHardwareI2C.h
       	cores/portduino/linux/LinuxCommon.cpp
       	cores/portduino/linux/LinuxSerial.cpp
        cores/portduino/linux/LinuxSerial.h
        cores/portduino/linux/LinuxHardwareI2C.cpp
       	cores/portduino/linux/LinuxHardwareI2C.h)

=== libdeps/native-tft/Adafruit ST7735 and ST7789 Library/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

idf_component_register(SRCS "Adafruit_ST77xx.cpp" "Adafruit_ST7735.cpp" "Adafruit_ST7789.cpp" 
                       INCLUDE_DIRS "."
                       REQUIRES arduino Adafruit-GFX-Library)

project(Adafruit-ST7735-Library)

=== libdeps/native-tft/RadioLib/CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,20 @@
 cmake_minimum_required(VERSION 3.13)
+
+# first gather the files since this is needed for both ESP-IDF as well as other builds
+file(GLOB_RECURSE RADIOLIB_SOURCES
+  "src/*.cpp"
+)
+
+# exclude all HAL source files
+list(FILTER RADIOLIB_SOURCES EXCLUDE REGEX "src/hal/.*\\.cpp")
 
 if(ESP_PLATFORM)
   # Build RadioLib as an ESP-IDF component
   # required because ESP-IDF runs cmake in script mode
   # and needs idf_component_register()
-  file(GLOB_RECURSE RADIOLIB_ESP_SOURCES
-    "src/*.*"
-  )
 
   idf_component_register(
-    SRCS ${RADIOLIB_ESP_SOURCES} 
+    SRCS ${RADIOLIB_SOURCES}
     INCLUDE_DIRS . src 
   )
 
@@ -22,10 +27,6 @@
 
 project(radiolib)
 
-file(GLOB_RECURSE RADIOLIB_SOURCES
-  "src/*.cpp"
-)
-
 add_library(RadioLib ${RADIOLIB_SOURCES})
 
 target_include_directories(RadioLib
@@ -36,7 +37,7 @@
 set_property(TARGET RadioLib PROPERTY CXX_STANDARD 20)
 
 # enable most warnings
-target_compile_options(RadioLib PRIVATE -Wall -Wextra)
+target_compile_options(RadioLib PRIVATE -Wall -Wextra -Wpedantic -Wdouble-promotion)
 
 include(GNUInstallDirs)

=== libdeps/native-tft/Adafruit SSD1306/scripts/Makefile ===

PY=python3

define HEADER
/**
 * This file is autogenerated, do not edit.
 * Run `make` from the scripts directory to produce splash.h
 *
 * Splashes will be stored in PROGMEM (flash).
 * If SSD1306_NO_SPLASH is defined, the splashes are omitted.
 */

#ifndef SSD1306_NO_SPLASH
/* clang-format off */
endef

define FOOTER
/* clang-format on */
#endif
endef

export HEADER
export FOOTER

splash.h: make_splash.py splash1.png splash2.png
	echo "$$HEADER" > $@
	${PY} make_splash.py splash1.png splash1 >>$@
	${PY} make_splash.py splash2.png splash2 >>$@
	echo "$$FOOTER" >> $@

clean:
	rm -f splash.h

=== libdeps/native-tft/LovyanGFX/examples_for_PC/CMake_SDL/CMakeLists.txt ===
# See how to install sdl2: https://wiki.libsdl.org/SDL2/Installation
cmake_minimum_required (VERSION 3.8)
project(LGFX_SDL)

add_definitions(-DLGFX_SDL)

# ビルド対象にするファイルを指定する;
# LovyanGFXのあるパスと位置関係を変えた場合は相対パス記述を環境に合わせて調整すること;
file(GLOB Target_Files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} CONFIGURE_DEPENDS 
    *.cpp
    ../../../LovyanGFX/src/lgfx/Fonts/efont/*.c
    ../../../LovyanGFX/src/lgfx/Fonts/IPA/*.c
    ../../../LovyanGFX/src/lgfx/utility/*.c
    ../../../LovyanGFX/src/lgfx/v1/*.cpp
    ../../../LovyanGFX/src/lgfx/v1/misc/*.cpp
    ../../../LovyanGFX/src/lgfx/v1/panel/Panel_Device.cpp
    ../../../LovyanGFX/src/lgfx/v1/panel/Panel_FrameBufferBase.cpp
    ../../../LovyanGFX/src/lgfx/v1/platforms/sdl/*.cpp
    )
add_executable (LGFX_SDL ${Target_Files})

# includeするファイルのパスを指定する;
# LovyanGFXのあるパスと位置関係を変えた場合は相対パス記述を環境に合わせて調整すること;
target_include_directories(LGFX_SDL PUBLIC "../../../LovyanGFX/src/")

IF (CMAKE_SYSTEM_NAME MATCHES "Linux")

# Linux環境の場合;
# SDL2_INCLUDE_DIRS と SDL2_LIBRARIES を事前に設定しておく;
    find_package(SDL2 REQUIRED SDL2)
    include_directories(${SDL2_INCLUDE_DIRS})
    target_link_libraries(LGFX_SDL -lpthread ${SDL2_LIBRARIES})

ELSEIF (CMAKE_SYSTEM_NAME MATCHES "Windows")

# Windows環境の場合;
# SDL2を配置したパス内のincludeのパスを指定する;
    target_include_directories(LGFX_SDL PUBLIC "C:/SDL2/include")

# SDL2を配置したパス内の.libファイルのパスを指定する;
    target_link_libraries(LGFX_SDL PUBLIC "C:/SDL2/lib/x64/SDL2.lib")


    add_compile_options("$<$<C_COMPILER_ID:MSVC>:/utf-8>")
    add_compile_options("$<$<CXX_COMPILER_ID:MSVC>:/utf-8>")
    add_compile_options("$<$<CXX_COMPILER_ID:MSVC>:/Zc:__cplusplus>")

ELSEIF (CMAKE_SYSTEM_NAME MATCHES "Darwin")

# MacOS(Darwin)環境の場合;
    find_package(SDL2 REQUIRED COMPONENTS SDL2)
    target_link_libraries(LGFX_SDL PRIVATE SDL2::SDL2)

ENDIF ()

target_compile_features(LGFX_SDL PUBLIC cxx_std_17)

=== libdeps/native-tft/RadioLib/examples/NonArduino/Pico/CMakeLists.txt ===
--- 
+++ 
@@ -20,11 +20,12 @@
 
 add_executable(${PROJECT_NAME}
     main.cpp
+    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../RadioLib/src/hal/RPiPico/PicoHal.cpp"
 )
+target_compile_definitions(${PROJECT_NAME} PUBLIC RADIOLIB_BUILD_RPI_PICO)
 
 # Pull in common dependencies
 target_link_libraries(${PROJECT_NAME} pico_stdlib hardware_spi hardware_gpio hardware_timer pico_multicore hardware_pwm RadioLib)
-
 
 pico_enable_stdio_usb(${PROJECT_NAME} 1)
 pico_enable_stdio_uart(${PROJECT_NAME} 0)

=== debian/changelog ===
meshtasticd (2.7.10.19259~local94d4bdf~UNRELEASED) UNRELEASED; urgency=medium

  * GitHub Actions Automatic packaging for
    2.7.10.19259~local94d4bdf~UNRELEASED

 --  <jbennett@incomsystems.biz>  Tue, 23 Sep 2025 14:02:21 +0000

=== debian/control ===
Source: meshtasticd
Section: misc
Priority: optional
Maintainer: Austin Lane <vidplace7@gmail.com>
Build-Depends: debhelper-compat (= 13),
               lsb-release,
               tar,
               gzip,
               platformio,
               python3-protobuf,
               python3-grpcio,
               git,
               g++,
               pkg-config,
               libyaml-cpp-dev,
               libgpiod-dev,
               libbluetooth-dev,
               libusb-1.0-0-dev,
               libi2c-dev,
               libuv1-dev,
               openssl,
               libssl-dev,
               libulfius-dev,
               liborcania-dev,
               libx11-dev,
               libinput-dev,
               libxkbcommon-x11-dev
Standards-Version: 4.6.2
Homepage: https://github.com/meshtastic/firmware
Rules-Requires-Root: no

Package: meshtasticd
Architecture: any
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Meshtastic daemon for communicating with Meshtastic devices
 Meshtastic is an off-grid text communication platform that uses inexpensive 
 LoRa radios.

## meshtasticd 2.7.13.336~obs7537d28~unstable

=== debian/changelog ===
meshtasticd (2.7.13.336~obs7537d28~unstable) unstable; urgency=medium

  * GitHub Actions Automatic packaging for
    2.7.13.336~obs7537d28~unstable

 --  <jbennett@incomsystems.biz>  Mon, 13 Oct 2025 02:40:54 +0000

## meshtasticd 2.7.14.45~obs4df6627~alpha

=== bin/bump_metainfo/requirements.txt ===
defusedxml==0.7.1

=== libdeps/native-tft/Adafruit GFX Library/CMakeLists.txt ===
# Adafruit GFX Library
# https://github.com/adafruit/Adafruit-GFX-Library
# BSD License

cmake_minimum_required(VERSION 3.5)

idf_component_register(SRCS "Adafruit_GFX.cpp" "Adafruit_GrayOLED.cpp" "Adafruit_SPITFT.cpp" "glcdfont.c"
                       INCLUDE_DIRS "."
                       REQUIRES arduino Adafruit_BusIO)

project(Adafruit-GFX-Library)

=== libdeps/native-tft/ESP8266 and ESP32 OLED driver for SSD1306 displays/CMakeLists.txt ===
set(COMPONENT_ADD_INCLUDEDIRS src)
set(COMPONENT_PRIV_REQUIRES arduino-esp32)
set(COMPONENT_SRCDIRS src)
register_component()

=== packages/framework-portduino/cmake-build-debug/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.17

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Disable VCS-based implicit rules.
% : %,v


# Disable VCS-based implicit rules.
% : RCS/%


# Disable VCS-based implicit rules.
% : RCS/%,v


# Disable VCS-based implicit rules.
% : SCCS/s.%


# Disable VCS-based implicit rules.
% : s.%


.SUFFIXES: .hpux_make_needs_suffix_list


# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /home/kevinh/packages/clion-2020.2.1/bin/cmake/linux/bin/cmake

# The command to remove a file.
RM = /home/kevinh/packages/clion-2020.2.1/bin/cmake/linux/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/kevinh/development/meshtastic/Portduino

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/kevinh/development/meshtastic/Portduino/cmake-build-debug

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/home/kevinh/packages/clion-2020.2.1/bin/cmake/linux/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/home/kevinh/packages/clion-2020.2.1/bin/cmake/linux/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/kevinh/development/meshtastic/Portduino/cmake-build-debug/CMakeFiles /home/kevinh/development/meshtastic/Portduino/cmake-build-debug/CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/kevinh/development/meshtastic/Portduino/cmake-build-debug/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named Portduino

# Build rule for target.
Portduino: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 Portduino
.PHONY : Portduino

# fast build rule for target.
Portduino/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/build
.PHONY : Portduino/fast

cores/arduino/api/Common.o: cores/arduino/api/Common.cpp.o

.PHONY : cores/arduino/api/Common.o

# target to build an object file
cores/arduino/api/Common.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/Common.cpp.o
.PHONY : cores/arduino/api/Common.cpp.o

cores/arduino/api/Common.i: cores/arduino/api/Common.cpp.i

.PHONY : cores/arduino/api/Common.i

# target to preprocess a source file
cores/arduino/api/Common.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/Common.cpp.i
.PHONY : cores/arduino/api/Common.cpp.i

cores/arduino/api/Common.s: cores/arduino/api/Common.cpp.s

.PHONY : cores/arduino/api/Common.s

# target to generate assembly for a file
cores/arduino/api/Common.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/Common.cpp.s
.PHONY : cores/arduino/api/Common.cpp.s

cores/arduino/api/IPAddress.o: cores/arduino/api/IPAddress.cpp.o

.PHONY : cores/arduino/api/IPAddress.o

# target to build an object file
cores/arduino/api/IPAddress.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/IPAddress.cpp.o
.PHONY : cores/arduino/api/IPAddress.cpp.o

cores/arduino/api/IPAddress.i: cores/arduino/api/IPAddress.cpp.i

.PHONY : cores/arduino/api/IPAddress.i

# target to preprocess a source file
cores/arduino/api/IPAddress.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/IPAddress.cpp.i
.PHONY : cores/arduino/api/IPAddress.cpp.i

cores/arduino/api/IPAddress.s: cores/arduino/api/IPAddress.cpp.s

.PHONY : cores/arduino/api/IPAddress.s

# target to generate assembly for a file
cores/arduino/api/IPAddress.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/IPAddress.cpp.s
.PHONY : cores/arduino/api/IPAddress.cpp.s

cores/arduino/api/Print.o: cores/arduino/api/Print.cpp.o

.PHONY : cores/arduino/api/Print.o

# target to build an object file
cores/arduino/api/Print.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/Print.cpp.o
.PHONY : cores/arduino/api/Print.cpp.o

cores/arduino/api/Print.i: cores/arduino/api/Print.cpp.i

.PHONY : cores/arduino/api/Print.i

# target to preprocess a source file
cores/arduino/api/Print.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/Print.cpp.i
.PHONY : cores/arduino/api/Print.cpp.i

cores/arduino/api/Print.s: cores/arduino/api/Print.cpp.s

.PHONY : cores/arduino/api/Print.s

# target to generate assembly for a file
cores/arduino/api/Print.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/Print.cpp.s
.PHONY : cores/arduino/api/Print.cpp.s

cores/arduino/api/Stream.o: cores/arduino/api/Stream.cpp.o

.PHONY : cores/arduino/api/Stream.o

# target to build an object file
cores/arduino/api/Stream.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/Stream.cpp.o
.PHONY : cores/arduino/api/Stream.cpp.o

cores/arduino/api/Stream.i: cores/arduino/api/Stream.cpp.i

.PHONY : cores/arduino/api/Stream.i

# target to preprocess a source file
cores/arduino/api/Stream.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/Stream.cpp.i
.PHONY : cores/arduino/api/Stream.cpp.i

cores/arduino/api/Stream.s: cores/arduino/api/Stream.cpp.s

.PHONY : cores/arduino/api/Stream.s

# target to generate assembly for a file
cores/arduino/api/Stream.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/Stream.cpp.s
.PHONY : cores/arduino/api/Stream.cpp.s

cores/arduino/api/String.o: cores/arduino/api/String.cpp.o

.PHONY : cores/arduino/api/String.o

# target to build an object file
cores/arduino/api/String.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/String.cpp.o
.PHONY : cores/arduino/api/String.cpp.o

cores/arduino/api/String.i: cores/arduino/api/String.cpp.i

.PHONY : cores/arduino/api/String.i

# target to preprocess a source file
cores/arduino/api/String.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/String.cpp.i
.PHONY : cores/arduino/api/String.cpp.i

cores/arduino/api/String.s: cores/arduino/api/String.cpp.s

.PHONY : cores/arduino/api/String.s

# target to generate assembly for a file
cores/arduino/api/String.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/cores/arduino/api/String.cpp.s
.PHONY : cores/arduino/api/String.cpp.s

example/test.o: example/test.cpp.o

.PHONY : example/test.o

# target to build an object file
example/test.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/example/test.cpp.o
.PHONY : example/test.cpp.o

example/test.i: example/test.cpp.i

.PHONY : example/test.i

# target to preprocess a source file
example/test.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/example/test.cpp.i
.PHONY : example/test.cpp.i

example/test.s: example/test.cpp.s

.PHONY : example/test.s

# target to generate assembly for a file
example/test.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/example/test.cpp.s
.PHONY : example/test.cpp.s

src/dtostrf.o: src/dtostrf.c.o

.PHONY : src/dtostrf.o

# target to build an object file
src/dtostrf.c.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/src/dtostrf.c.o
.PHONY : src/dtostrf.c.o

src/dtostrf.i: src/dtostrf.c.i

.PHONY : src/dtostrf.i

# target to preprocess a source file
src/dtostrf.c.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/src/dtostrf.c.i
.PHONY : src/dtostrf.c.i

src/dtostrf.s: src/dtostrf.c.s

.PHONY : src/dtostrf.s

# target to generate assembly for a file
src/dtostrf.c.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/src/dtostrf.c.s
.PHONY : src/dtostrf.c.s

src/itoa.o: src/itoa.cpp.o

.PHONY : src/itoa.o

# target to build an object file
src/itoa.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/src/itoa.cpp.o
.PHONY : src/itoa.cpp.o

src/itoa.i: src/itoa.cpp.i

.PHONY : src/itoa.i

# target to preprocess a source file
src/itoa.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/src/itoa.cpp.i
.PHONY : src/itoa.cpp.i

src/itoa.s: src/itoa.cpp.s

.PHONY : src/itoa.s

# target to generate assembly for a file
src/itoa.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/src/itoa.cpp.s
.PHONY : src/itoa.cpp.s

src/linux/LinuxCommon.o: src/linux/LinuxCommon.cpp.o

.PHONY : src/linux/LinuxCommon.o

# target to build an object file
src/linux/LinuxCommon.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/src/linux/LinuxCommon.cpp.o
.PHONY : src/linux/LinuxCommon.cpp.o

src/linux/LinuxCommon.i: src/linux/LinuxCommon.cpp.i

.PHONY : src/linux/LinuxCommon.i

# target to preprocess a source file
src/linux/LinuxCommon.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Portduino.dir/build.make CMakeFiles/Portduino.dir/src/linux/LinuxCommon.cpp.i
.PHONY : src/linux/LinuxCommon.cpp.i

src/linux/LinuxCommon.s: src/linux/LinuxCommon.cpp.s

.PHONY : src/linux/LinuxCommon.s

# target to generate assembly for a file
src/linux/LinuxCommon.cpp.s:

=== libdeps/native-tft/LovyanGFX/examples_for_PC/CMake_WASM/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project (lv_wasm)

add_definitions(-DLGFX_SDL)
set(CMAKE_CXX_FLAGS " ${CMAKE_CXX_FLAGS} -g -s USE_SDL=2")

include_directories(../../../LovyanGFX/src/)

file(GLOB MY_SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} CONFIGURE_DEPENDS 
    *.cpp
    ../../../LovyanGFX/src/lgfx/Fonts/efont/*.c
    ../../../LovyanGFX/src/lgfx/Fonts/IPA/*.c
    ../../../LovyanGFX/src/lgfx/utility/*.c
    ../../../LovyanGFX/src/lgfx/v1/*.cpp
    ../../../LovyanGFX/src/lgfx/v1/misc/*.cpp
    ../../../LovyanGFX/src/lgfx/v1/panel/Panel_Device.cpp
    ../../../LovyanGFX/src/lgfx/v1/panel/Panel_FrameBufferBase.cpp
    ../../../LovyanGFX/src/lgfx/v1/platforms/sdl/*.cpp
    )
set(SOURCES ${MY_SOURCES})

add_executable(index ${SOURCES} ${INCLUDES})

set(CMAKE_EXECUTABLE_SUFFIX ".html")
target_link_libraries(index -lembind)
set_target_properties(index PROPERTIES LINK_FLAGS "--shell-file ${PROJECT_SOURCE_DIR}/lgfx_wasm.html -s SINGLE_FILE=1")

=== libdeps/native-tft/lvgl/env_support/qnx/Makefile ===
LIST=CPU
include recurse.mk

=== libdeps/native-tft/LovyanGFX/examples/Test/build_test/main/CMakeLists.txt ===
idf_component_register(
  SRCS "main.cpp"
  INCLUDE_DIRS  "."
  REQUIRES LovyanGFX)

=== debian/changelog ===
meshtasticd (2.7.14.45~obs4df6627~alpha) alpha; urgency=medium

  * GitHub Actions Automatic packaging for 2.7.14.45~obs4df6627~alpha

 --  <jbennett@incomsystems.biz>  Thu, 13 Nov 2025 12:39:59 +0000

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE = 1

# Use the "dh" sequencer
%:
	dh $@

# https://docs.platformio.org/en/latest/envvars.html
PIO_ENV:=\
	PLATFORMIO_CORE_DIR=pio/core \
	PLATFORMIO_LIBDEPS_DIR=pio/libdeps \
	PLATFORMIO_PACKAGES_DIR=pio/packages

# Raspbian armhf builds should be compatible with armv6-hardfloat
# https://www.valvers.com/open-software/raspberry-pi/bare-metal-programming-in-c-part-1/#rpi1-compiler-flags
ifneq (,$(findstring Raspbian,$(shell lsb_release -is)))
ifeq ($(DEB_BUILD_ARCH),armhf)
PIO_ENV+=\
	PLATFORMIO_BUILD_FLAGS="-mfloat-abi=hard -mfpu=vfp -march=armv6zk"
endif
endif

override_dh_auto_build:
	# Extract tarballs within source deb
	tar -xf pio.tar
	mkdir -p web && tar -xf web.tar -C web
	gunzip web/ -r
	# Build with platformio
	$(PIO_ENV) platformio run -e native-tft
	# Move the binary and default config to the correct name
	mv .pio/build/native-tft/program .pio/build/native-tft/meshtasticd
	cp bin/config-dist.yaml bin/config.yaml
